_Elm_Prefs_Item_Iface_Info Struct Reference
Elementary » Elementary Prefs

Convenience struct used to mass-register widgets implementing prefs items interfaces. More...

`#include <elm_prefs_common.h>`

## Data Fields

const char * | widget_name
| The name of the widget implementing the interface, to be exposed on the prefs collections language.
const Elm_Prefs_Item_Iface * | info
| The type interface's implementation.

## Detailed Description

Convenience struct used to mass-register widgets implementing prefs items interfaces.

To be used with elm_prefs_item_iface_register() and elm_prefs_item_iface_unregister().